%define name wspr-map
%define version 0.0.8
%define release 1suse

Summary: Companion of wspr
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: General Public Licence
Group: Productivity/Hamradio/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Requires: gambas2-runtime >= 1.9.48,gambas2-runtime < 2.90,gambas2-gb-qt >= 1.9.48,gambas2-gb-qt < 2.90,gambas2-gb-form >= 1.90.1,gambas2-gb-form < 2.90.0,gambas2-gb-db >= 1.9.48,gambas2-gb-db < 2.90,gambas2-gb-db-form >= 1.90.1,gambas2-gb-db-form < 2.90.0,gambas2-gb-form-dialog >= 1.9.48,gambas2-gb-form-dialog < 2.90,gambas2-gb-net >= 1.9.48,gambas2-gb-net < 2.90,gambas2-gb-qt-ext >= 1.9.48,gambas2-gb-qt-ext < 2.90,gambas2-gb-settings >= 1.9.48,gambas2-gb-settings < 2.90,gambas2-gb-vb >= 1.9.48,gambas2-gb-vb < 2.90
AutoReqProv: no

%description

This program is written in Gambas, so you will need Gambas to be installed.

%prep
rm -rf %{buildroot}

%setup -q -n wspr-map

%build
/usr/local/bin/gbc2 -a -t -p -m 
gba2

%install
install -d %{buildroot}/%{_bindir}
install -p wspr-map.gambas %{buildroot}/%{_bindir}/wspr-map
install -d %{buildroot}/%{_datadir}/pixmaps
install -d %{buildroot}/%{_datadir}/applications
install -p .icon/48.png %{buildroot}/%{_datadir}/pixmaps/wspr-map.png
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Companion of wspr
Comment=wspr-map
Exec=%{_bindir}/wspr-map
Icon=wspr-map.png
Terminal=false
Type=Application
StartupNotify=true
Categories=HamRadio;Network;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/wspr-map
%{_datadir}/pixmaps/wspr-map.png
%{_datadir}/applications/%{name}.desktop

%changelog

* Sat Dec 05 2009 pino ZP4KFX <pinozollo@gmail.com> 0.0.8
- Added notifications

* Sun Nov 29 2009 pino ZP4KFX <pinozollo@gmail.com> 0.0.4

* Mon Nov 23 2009 pino ZP4KFX <pinozollo@gmail.com> 0.0.3
- Versione iniziale


